RDKit::Subgraphs Namespace Reference

## Typedefs

typedef boost::tuples::tuple< boost::uint32_t, boost::uint32_t, boost::uint32_t > | DiscrimTuple
| used to return path discriminators (three unsigned ints): More...

## Functions

DiscrimTuple | calcPathDiscriminators (const ROMol &mol, const PATH_TYPE &path, bool useBO=true, std::vector< boost::uint32_t > *extraInvars=0)
PATH_LIST | uniquifyPaths (const ROMol &mol, const PATH_LIST &allPathsb, bool useBO=true)
PATH_TYPE | bondListFromAtomList (const ROMol &mol, const PATH_TYPE &atomIds)
ROMol * | pathToSubmol (const ROMol &mol, const PATH_TYPE &path, bool useQuery, std::map< int, int > &atomIdxMap)
ROMol * | pathToSubmol (const ROMol &mol, const PATH_TYPE &path, bool useQuery=false)

## Typedef Documentation

typedef boost::tuples::tuple<boost::uint32_t,boost::uint32_t,boost::uint32_t> RDKit::Subgraphs::DiscrimTuple

used to return path discriminators (three unsigned ints):

Definition at line 22 of file SubgraphUtils.h.

## Function Documentation

PATH_TYPE RDKit::Subgraphs::bondListFromAtomList | ( | const ROMol & | mol,
|  | const PATH_TYPE & | atomIds
| ) |  |

DiscrimTuple RDKit::Subgraphs::calcPathDiscriminators | ( | const ROMol & | mol,
|  | const PATH_TYPE & | path,
|  | bool | useBO = `true`,
|  | std::vector< boost::uint32_t > * | extraInvars = `0`
| ) |  |

ROMol* RDKit::Subgraphs::pathToSubmol | ( | const ROMol & | mol,
|  | const PATH_TYPE & | path,
|  | bool | useQuery,
|  | std::map< int, int > & | atomIdxMap
| ) |  |

ROMol* RDKit::Subgraphs::pathToSubmol | ( | const ROMol & | mol,
|  | const PATH_TYPE & | path,
|  | bool | useQuery = `false`
| ) |  |

PATH_LIST RDKit::Subgraphs::uniquifyPaths | ( | const ROMol & | mol,
|  | const PATH_LIST & | allPathsb,
|  | bool | useBO = `true`
| ) |  |